Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

A list of verification document types.

Collection of Nano.VerificationDocumentType
NameDescriptionTypeAdditional information
category

Gets or sets the category.

string

None.

code

Gets or sets the code.

string

None.

conditionCategory

Gets or sets the condition category.

string

None.

conditionCategoryStackingOrder

Gets or sets the condition category stacking order.

integer

None.

defaultVersioning

Gets or sets the default versioning.

string

None.

description

Gets or sets the description.

string

None.

isConditionless

Gets or sets a value indicating whether the type is not associated with conditions.

boolean

None.

isDescriptionAppendable

Gets or sets a value indicating whether the description is appendable or not.

boolean

None.

isDescriptionEditable

Gets or sets a value indicating whether the description is editable or not.

boolean

None.

mergeDefault

Gets or sets the merge default.

string

None.

order

Gets or sets the order.

integer

None.

id

Gets or sets the verification document type identifier.

integer

None.

lockingPermission

Gets or sets the permission required for locking.

integer

None.

viewingPermission

Gets or sets the permission required for viewing.

integer

None.

appConditions

Gets or sets the application condition identifiers.

Collection of integer

None.

bundleDocuments

Gets or sets the bundle document identifiers.

Collection of integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "category": "sample String 1",
    "code": "sample String 2",
    "conditionCategory": "sample String 3",
    "conditionCategoryStackingOrder": 1,
    "defaultVersioning": "sample String 4",
    "description": "sample String 5",
    "isConditionless": true,
    "isDescriptionAppendable": true,
    "isDescriptionEditable": true,
    "mergeDefault": "sample String 9",
    "order": 1,
    "id": "10",
    "lockingPermission": "1",
    "viewingPermission": "1",
    "appConditions": [
      1,
      2
    ],
    "bundleDocuments": [
      "1",
      "2"
    ]
  },
  {
    "category": "sample String 1",
    "code": "sample String 2",
    "conditionCategory": "sample String 3",
    "conditionCategoryStackingOrder": 1,
    "defaultVersioning": "sample String 4",
    "description": "sample String 5",
    "isConditionless": true,
    "isDescriptionAppendable": true,
    "isDescriptionEditable": true,
    "mergeDefault": "sample String 9",
    "order": 1,
    "id": "10",
    "lockingPermission": "1",
    "viewingPermission": "1",
    "appConditions": [
      1,
      2
    ],
    "bundleDocuments": [
      "1",
      "2"
    ]
  }
]

text/html

Sample:
[{"category":"sample String 1","code":"sample String 2","conditionCategory":"sample String 3","conditionCategoryStackingOrder":1,"defaultVersioning":"sample String 4","description":"sample String 5","isConditionless":true,"isDescriptionAppendable":true,"isDescriptionEditable":true,"mergeDefault":"sample String 9","order":1,"id":"10","lockingPermission":"1","viewingPermission":"1","appConditions":[1,2],"bundleDocuments":["1","2"]},{"category":"sample String 1","code":"sample String 2","conditionCategory":"sample String 3","conditionCategoryStackingOrder":1,"defaultVersioning":"sample String 4","description":"sample String 5","isConditionless":true,"isDescriptionAppendable":true,"isDescriptionEditable":true,"mergeDefault":"sample String 9","order":1,"id":"10","lockingPermission":"1","viewingPermission":"1","appConditions":[1,2],"bundleDocuments":["1","2"]}]

application/vnd.api+json

Sample:

Sample not available.